reSIProcate
SIP stack, Dialog Usage Manager and related libraries
Loading...
Searching...
No Matches
MethodTypes.hxx
Go to the documentation of this file.
1#if !defined(RESIP_METHODTYPES_HXX)
2#define RESIP_METHODTYPES_HXX
3
4#define defineMethod(_enum, _name, _rfc) _enum
5namespace resip
6{
7
8class Data;
9
10#ifdef __BORLANDC__
11 #undef MESSAGE
12#endif
13
14typedef enum
15{
16 defineMethod(UNKNOWN, "UNKNOWN", "NA"),
17 defineMethod(ACK, "ACK", " RFC 3261"),
18 defineMethod(BYE, "BYE", "RFC 3261"),
19 defineMethod(CANCEL, "CANCEL", "RFC 3261"),
20 defineMethod(INVITE, "INVITE", "RFC 3261"),
21 defineMethod(NOTIFY, "NOTIFY", "RFC 3265"),
22 defineMethod(OPTIONS, "OPTIONS", "RFC 3261"),
23 defineMethod(REFER, "REFER", "RFC 3515"),
24 defineMethod(REGISTER, "REGISTER", "RFC 3261"),
25 defineMethod(SUBSCRIBE, "SUBSCRIBE", "RFC 3265"),
26 defineMethod(RESPONSE, "RESPONSE", "RFC ????"),
27 defineMethod(MESSAGE, "MESSAGE", "RFC ????"),
28 //_MESSAGE,
29 defineMethod(INFO, "INFO", "RFC 2976"),
30 defineMethod(PRACK, "PRACK", "RFC 3262"),
31 defineMethod(PUBLISH, "PUBLISH", "RFC draft"),
32 defineMethod(SERVICE, "SERVICE", "!RFC"),
33 defineMethod(UPDATE, "UPDATE", "RFC 3311"),
36
37// extern Data MethodNames[]; // !ah! Do not touch. want a name, call getMethodName()
38
40getMethodType(const Data& name);
41
43getMethodType(const char* name, int len);
44
45// TODO -- !dcm! -- fix to return unknown method as a string
46const Data&
48
49}
50
51#undef defineMethod
52
53#endif
54
55/* ====================================================================
56 * The Vovida Software License, Version 1.0
57 *
58 * Copyright (c) 2000 Vovida Networks, Inc. All rights reserved.
59 *
60 * Redistribution and use in source and binary forms, with or without
61 * modification, are permitted provided that the following conditions
62 * are met:
63 *
64 * 1. Redistributions of source code must retain the above copyright
65 * notice, this list of conditions and the following disclaimer.
66 *
67 * 2. Redistributions in binary form must reproduce the above copyright
68 * notice, this list of conditions and the following disclaimer in
69 * the documentation and/or other materials provided with the
70 * distribution.
71 *
72 * 3. The names "VOCAL", "Vovida Open Communication Application Library",
73 * and "Vovida Open Communication Application Library (VOCAL)" must
74 * not be used to endorse or promote products derived from this
75 * software without prior written permission. For written
76 * permission, please contact vocal@vovida.org.
77 *
78 * 4. Products derived from this software may not be called "VOCAL", nor
79 * may "VOCAL" appear in their name, without prior written
80 * permission of Vovida Networks, Inc.
81 *
82 * THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESSED OR IMPLIED
83 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
84 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE AND
85 * NON-INFRINGEMENT ARE DISCLAIMED. IN NO EVENT SHALL VOVIDA
86 * NETWORKS, INC. OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT DAMAGES
87 * IN EXCESS OF $1,000, NOR FOR ANY INDIRECT, INCIDENTAL, SPECIAL,
88 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
89 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
90 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
91 * OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
92 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
93 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
94 * DAMAGE.
95 *
96 * ====================================================================
97 *
98 * This software consists of voluntary contributions made by Vovida
99 * Networks, Inc. and many individuals on behalf of Vovida Networks,
100 * Inc. For more information on Vovida Networks, Inc., please see
101 * <http://www.vovida.org/>.
102 *
103 */
dcm! – add UnusedChecking(_enum) below;
const Data & getMethodName(MethodTypes t)
@ MAX_METHODS
@ defineMethod
MethodTypes getMethodType(const Data &name)
void list()
Definition userAdmin.cxx:66